package dev.inmo.postssystem.core.content.api

import dev.inmo.postssystem.core.content.ContentId
import dev.inmo.postssystem.core.content.RegisteredContent
import dev.inmo.micro_utils.pagination.Pagination
import dev.inmo.micro_utils.pagination.PaginationResult
import dev.inmo.micro_utils.repos.ReadStandardCRUDRepo
import dev.inmo.micro_utils.repos.pagination.getAll

/**
 * Simple read API by different properties of [dev.inmo.postssystem.core.content.Content].
 */
interface ReadContentRepo : ReadStandardCRUDRepo<RegisteredContent, ContentId>
