package dev.inmo.postssystem.core.publishing

import dev.inmo.postssystem.core.post.repo.PostsRepo
import dev.inmo.postssystem.core.publishing.repos.PublishedPostsWriteRepo
import dev.inmo.postssystem.core.publishing.repos.PublishingKeysRepo

class PublishingService(
    private val postsRepo: PostsRepo,
    private val publishedPostsRepo: PublishedPostsWriteRepo,
    private val keysRepo: PublishingKeysRepo
) : PublishingKeysRegistrar by BusinessPublishingKeysRegistrar(
    keysRepo
), PublishingTrigger by BusinessPublishingTrigger(
    postsRepo,
    publishedPostsRepo,
    keysRepo
)
