package com.insanusmokrassar.postssystem.publishing.ktor

import dev.inmo.postssystem.core.content.ContentId
import dev.inmo.postssystem.core.post.PostId
import dev.inmo.postssystem.core.publishing.TriggerId
import kotlinx.serialization.Serializable

const val triggersRootRoute = "triggers"
const val setTriggerSubRoute = "set"

@Serializable
data class TriggerSettingData(val postId: PostId, val triggerId: TriggerId)
